JBoss API: Class TimedInstancePoolFeeder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class TimedInstancePoolFeeder

    java.lang.Object
      |
      +--java.util.TimerTask
            |
            +--org.jboss.ejb.plugins.TimedInstancePoolFeeder

All Implemented Interfaces:
  InstancePoolFeeder, java.lang.Runnable, XmlLoadable

public class TimedInstancePoolFeeder
extends java.util.TimerTask
implements XmlLoadable, InstancePoolFeeder

Constructor Summary
`TimedInstancePoolFeeder()`

Method Summary
`void` | `importXml(org.w3c.dom.Element element)`
`boolean` | `isStarted()` Tells if the pool feeder is already started.
`void` | `run()`
`void` | `setInstancePool(InstancePool ip)` Sets the instance pool inside the pool feeder.
`void` | `start()` Start the pool feeder.
`void` | `stop()` Stop the pool feeder.

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimedInstancePoolFeeder

    public TimedInstancePoolFeeder()

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `java.util.TimerTask`

### start

    public void start()

  Description copied from interface: `InstancePoolFeeder`
  Start the pool feeder.
  Specified by:
    `start` in interface `InstancePoolFeeder`

### stop

    public void stop()

  Description copied from interface: `InstancePoolFeeder`
  Stop the pool feeder.
  Specified by:
    `stop` in interface `InstancePoolFeeder`

### setInstancePool

    public void setInstancePool(InstancePool ip)

  Description copied from interface: `InstancePoolFeeder`
  Sets the instance pool inside the pool feeder.
  Specified by:
    `setInstancePool` in interface `InstancePoolFeeder`

### isStarted

    public boolean isStarted()

  Description copied from interface: `InstancePoolFeeder`
  Tells if the pool feeder is already started. The reason is that we start the PF at first get() on the pool and we want to give a warning to the user when the pool is empty.
  Specified by:
    `isStarted` in interface `InstancePoolFeeder`

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.